Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009378Multi Theft Auto : San AndreasScriptingpublic2016-09-12 19:382017-05-17 02:45
ReporterGallardo9944 
Assigned ToNecktrox 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.5.4 
Target Version1.5.5Fixed in Version1.5.5 
Summary0009378: [Request] getCursorType
DescriptionThis would be useful for making custom cursors.

For example, you hover your mouse over gui window edge and it becomes a resize cursor depending on the part you're hovering, or maybe you're hovering text and it goes to selector cursor type. So the idea behind this is letting scripts know what cursor icon is currently being used.
Steps To Reproduceint getCursorType()

return values:
0 - default cursor
1 - text selector
2 - resize horizontal
3 - resize vertical
4 - resize diagonal L-R
5 - resize diagonal R-L
6 - ...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0025954)
Necktrox (developer)
2017-05-17 00:13

Added in https://github.com/multitheftauto/mtasa-blue/commit/08d000b476560c34366ba10b99ee26a159a3897d [^]

- Issue History
Date Modified Username Field Change
2016-09-12 19:38 Gallardo9944 New Issue
2016-09-28 03:08 Necktrox Assigned To => Necktrox
2016-09-28 03:08 Necktrox Status new => assigned
2017-05-17 00:13 Necktrox Note Added: 0025954
2017-05-17 00:13 Necktrox Status assigned => resolved
2017-05-17 00:13 Necktrox Resolution open => fixed
2017-05-17 02:44 qaisjp Project New issues => Multi Theft Auto : San Andreas
2017-05-17 02:45 qaisjp Product Version => 1.5.4
2017-05-17 02:45 qaisjp Fixed in Version => 1.5.5
2017-05-17 02:45 qaisjp Target Version => 1.5.5


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker